## kde-l10n 16.04.3

=== 4/pt_BR/CMakeLists.txt ===
project(kde-i18n-pt_BR)

# Search KDE installation
find_package(KDE4 REQUIRED)
find_package(Gettext REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

set(CURRENT_LANG pt_BR)

macro_optional_add_subdirectory( messages )
macro_optional_add_subdirectory( docs )
macro_optional_add_subdirectory( data )

=== 5/pa/CMakeLists.txt ===
project(kde-i18n-pa)
cmake_minimum_required(VERSION 2.8.12)

find_package(Gettext REQUIRED)
find_package(ECM 0.0.12 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)

find_package(KF5DocTools REQUIRED)
find_package(KF5I18n REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

set(CURRENT_LANG pa)

add_subdirectory(messages)
add_subdirectory(data)

=== 5/sv/CMakeLists.txt ===
project(kde-i18n-sv)
cmake_minimum_required(VERSION 2.8.12)

find_package(Gettext REQUIRED)
find_package(ECM 0.0.12 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)

find_package(KF5DocTools REQUIRED)
find_package(KF5I18n REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

set(CURRENT_LANG sv)

add_subdirectory(messages)
add_subdirectory(docs)
add_subdirectory(data)

=== 5/uk/CMakeLists.txt ===
project(kde-i18n-uk)
cmake_minimum_required(VERSION 2.8.12)

find_package(Gettext REQUIRED)
find_package(ECM 0.0.12 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)

find_package(KF5DocTools REQUIRED)
find_package(KF5I18n REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

set(CURRENT_LANG uk)

add_subdirectory(messages)
add_subdirectory(docs)
add_subdirectory(data)
add_subdirectory(scripts)

=== 4/da/docs/CMakeLists.txt ===
add_subdirectory( applications )
add_subdirectory( common )
add_subdirectory( kdeaccessibility )
add_subdirectory( kdeedu )
add_subdirectory( kdelibs )
add_subdirectory( kdenetwork )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kde-runtime )
add_subdirectory( kdesdk )
add_subdirectory( kdewebdev )
add_subdirectory( kde-workspace )

=== 4/tr/docs/CMakeLists.txt ===
add_subdirectory( common )
add_subdirectory( kdelibs )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kde-runtime )
add_subdirectory( kde-workspace )

=== 5/ca/docs/CMakeLists.txt ===
add_subdirectory( applications )
add_subdirectory( kdeadmin )
add_subdirectory( kdeedu )
add_subdirectory( kdegames )
add_subdirectory( kdegraphics )
add_subdirectory( kdemultimedia )
add_subdirectory( kdenetwork )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kdesdk )
add_subdirectory( kdeutils )
add_subdirectory( pim )

=== 4/da/docs/kdeedu/CMakeLists.txt ===
add_subdirectory( kalzium )

=== 4/fr/docs/applications/CMakeLists.txt ===
add_subdirectory( kdepasswd )
add_subdirectory( kfind )
add_subdirectory( konqueror )
add_subdirectory( konsole )
add_subdirectory( kwrite )

=== 4/pt_BR/docs/kdeutils/CMakeLists.txt ===
add_subdirectory( kcontrol )
add_subdirectory( kdf )
add_subdirectory( kgpg )
add_subdirectory( sweeper )

=== 4/ru/docs/kdeutils/CMakeLists.txt ===
add_subdirectory( kcontrol )
add_subdirectory( kdf )
add_subdirectory( kwalletmanager )

=== 5/nds/messages/applications/CMakeLists.txt ===
include(ECMPoQmTools)

# Determine if a .po file must be compiled into a .mo or a .qm file
file(GLOB po_files *.po)
set(mo_po_files)
set(qm_po_files)
foreach(po_file ${po_files})
    string(REGEX MATCH "_qt\\.po$" match "${po_file}")
    if(match)
        set(qm_po_files ${qm_po_files} ${po_file})
    else()
        set(mo_po_files ${mo_po_files} ${po_file})
    endif()
endforeach()

if(qm_po_files)
    ecm_process_po_files_as_qm(${CURRENT_LANG} ALL
        INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
        PO_FILES ${qm_po_files}
    )
endif()

if (mo_po_files)
    gettext_process_po_files(${CURRENT_LANG} ALL
        INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
        PO_FILES ${mo_po_files}
    )
endif()

=== debian/changelog ===
kde-l10n (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add more Breaks/Replaces against old versions of packages providing
    translations moved here: (Closes: #831224)
    - packages of applications now part of Application releases:
      plasma-runner-telepathy-contact, kde-telepathy-send-file,
      kde-telepathy-filetransfer-handler, kde-telepathy-contact-list

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2016 13:42:04 +0200

kde-l10n (4:16.04.2-3) unstable; urgency=medium

  * Team upload.
  * Make sure all the languages have the common breaks/replaces variables:
    add them for ast, eo, and id.
  * Add Breaks/Replaces against old versions of packages providing
    translations moved there: (Closes: #828923, #829451)
    - packages of applications now part of Application releases:
      kdenlive-data, kde-telepathy-data, kde-config-telepathy-accounts,
      kde-telepathy-text-ui, kde-telepathy-integration-module,
      kde-telepathy-approver, kde-telepathy-auth-handler
    - kio-mtp
    - digikam-data (for libkgeomap)

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2016 17:22:54 +0200

kde-l10n (4:16.04.2-2) unstable; urgency=medium

  * Team upload.
  * Drop ktp-call-ui.mo for now, until kde-telepathy-call-ui is updated to
    15.08 and over. (Closes: #827836)

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jun 2016 19:58:10 +0200

kde-l10n (4:16.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #826088)
    - add languages: ast, eo
  * Make use of version=4 format for the watch file, so it can be used to
    monitor and download upstream tarballs directly:
    - add a new script, createwatch, to generate a watch file from a list of
      languages
    - add the resulting watch file generated with createwatch
    - remove the old source.download script and multiwatch, no more needed now
  * Update the build dependencies:
    - remove kdoctools, already installed by kdelibs5-dev
    - add extra-cmake-modules, kdoctools-dev, libkf5i18n-dev, and
      qttools5-dev-tools, to build KF5-based translations
  * Update Vcs-* fields.
  * Drop kcm_activities.mo and kcm_device_automounter.mo, shipped by
    plasma-desktop.
  * Drop *_mimetypes.mo translations, since they are only helper for
    translating XML files.
  * Drop *.appdata.mo translations, since they are only helper for translating
    appdata files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add libkf5i18n5 as first alternative dependency to libkdecore5, as the
    desktop environment is based on Frameworks.
  * Stop calling few dh helpers:
    - dh_installmenu, as there are no menu files to install
    - dh_strip and dh_shlibdeps, no-ops for arch-indep binaries
  * Minor copyright update.

 -- Pino Toscano <pino@debian.org>  Wed, 15 Jun 2016 21:10:25 +0200

kde-l10n (4:4.14.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop files now shipped in kgamma5

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:09:46 +0200

kde-l10n (4:4.14.0-2) unstable; urgency=medium

  * Team upload
  * Remove translation files now shipped in other packages, using a
    custom debian/excluded_files.list including all currently-known .mo
    files

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 12:07:09 +0200

=== debian/control ===
Source: kde-l10n
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: bzip2,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               extra-cmake-modules (>= 0.0.12),
               kdoctools-dev,
               libkf5i18n-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.8
Homepage: http://i18n.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/kde-l10n.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kde-l10n.git

Package: kde-l10n-ar
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-ar (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-ar (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Arabic (ar) localization files for KDE
 This package contains the Arabic translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ast
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Asturian (ast) localization files for KDE
 This package contains the Asturian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-bg
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-bg (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-bg (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Bulgarian (bg) localization files for KDE
 This package contains the Bulgarian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-bs
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-bs (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-bs (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Bosnian (bs) localization files for KDE
 This package contains the Bosnian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ca
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-ca (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-ca (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Catalan (ca) localization files for KDE
 This package contains the Catalan translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-cavalencia
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-cavalencia (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-cavalencia (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Southern Catalan (Valencian) (ca@valencia) files for KDE
 This package contains the Southern Catalan (Valencian) translations for
 applications from the official KDE Software Compilation release.

Package: kde-l10n-cs
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-cs (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-cs (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Czech (cs) localization files for KDE
 This package contains the Czech translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-da
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-da (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-da (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Danish (da) localization files for KDE
 This package contains the Danish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-de
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-de (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-de (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: German (de) localization files for KDE
 This package contains the German translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-el
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-el (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-el (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Greek (el) localization files for KDE
 This package contains the Greek translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-engb
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-engb (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-engb (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: British English (en_GB) localization files for KDE
 This package contains the British English translations for applications
 from the official KDE Software Compilation release.

Package: kde-l10n-eo
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Esperanto (eo) localization files for KDE
 This package contains the Esperanto translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-es
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-es (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-es (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Spanish (es) localization files for KDE
 This package contains the Spanish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-et
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-et (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-et (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Estonian (et) localization files for KDE
 This package contains the Estonian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-eu
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-eu (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-eu (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Basque (eu) localization files for KDE
 This package contains the Basque translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fa
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Farsi (fa) localization files for KDE
 This package contains the Farsi translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fi
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-fi (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-fi (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Finnish (fi) localization files for KDE
 This package contains the Finnish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fr
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-fr (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-fr (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: French (fr) localization files for KDE
 This package contains the French translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ga
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-ga (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-ga (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Irish Gaelic (ga) localization files for KDE
 This package contains the Irish Gaelic translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-gl
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-gl (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-gl (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Galician (gl) localization files for KDE
 This package contains the Galician translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-he
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-he (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-he (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hebrew (he) localization files for KDE
 This package contains the Hebrew translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hi
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-hi (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-hi (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hindi (hi) localization files for KDE
 This package contains the Hindi translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hr
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-hr (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-hr (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Croatian (hr) localization files for KDE
 This package contains the Croatian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hu
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: kde-i18n-hu (<< 4:3.95.0-1), ${kde-l10n:Replaces}
Breaks: kde-i18n-hu (<< 4:3.95.0-1), ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hungarian (hu) localization files for KDE
 This package contains the Hungarian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ia

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# Value of the kde-l10n:{Depends,Recommends,Suggests,Replaces,Breaks,Provides}
# substvars. Common relationships for each l10n package.
L10N_Depends := libkf5i18n5 | libkdecore5 (>= 4:4.10)
L10N_Recommends :=
L10N_Suggests := kde-standard
L10N_Replaces := okular-l10n, gwenview-i18n, filelight-l10n, konq-plugins-l10n, ktouchpadenabler (<< 4:4.10.4), kio-mtp (<< 0.75+git20140304-2), digikam-data (<< 4:4.14.0-1)
L10N_Breaks := okular-l10n, gwenview-i18n, filelight-l10n, konq-plugins-l10n, ktouchpadenabler (<< 4:4.10.4), kio-mtp (<< 0.75+git20140304-2), digikam-data (<< 4:4.14.0-1)
L10N_Provides := kde-l10n

# Handling of conflicts against kdepim 4.4 (which provides translations)
OLD_KDEPIM_WITH_L10N := akregator (<< 4:4.10.2), blogilo (<< 4:4.10.2), kaddressbook (<< 4:4.10.2), kalarm (<< 4:4.10.2), kdepim-groupware (<< 4:4.10.2), kdepim-kresources (<< 4:4.10.2), kdepim-wizards (<< 4:4.10.2), kjots (<< 4:4.10.2), kleopatra (<< 4:4.10.2), kmail (<< 4:4.10.2), knode (<< 4:4.10.2), knotes (<< 4:4.10.2), konsolekalendar (<< 4:4.10.2), kontact (<< 4:4.10.2), korganizer (<< 4:4.10.2), ktimetracker (<< 4:4.10.2), libkdepim4 (<< 4:4.10.2), libkleo4 (<< 4:4.10.2), libkpgp4 (<< 4:4.10.2), libksieve4 (<< 4:4.10.2), libmessagecore4 (<< 4:4.10.2), libmessagelist4 (<< 4:4.10.2), libmessageviewer0 (<< 4:4.10.2)
L10N_Replaces := $(L10N_Replaces), $(OLD_KDEPIM_WITH_L10N)
L10N_Breaks := $(L10N_Breaks), $(OLD_KDEPIM_WITH_L10N)

# Handling of conflicts against pre-Applications packages
OLD_PKGS_WITH_L10N := kdenlive-data (<< 15.04), kde-telepathy-data (<< 15.04), kde-config-telepathy-accounts (<< 15.04), kde-telepathy-text-ui (<< 15.04), kde-telepathy-integration-module (<< 15.04), kde-telepathy-approver (<< 15.04), kde-telepathy-auth-handler (<< 15.04), plasma-runner-telepathy-contact (<< 15.04), kde-telepathy-send-file (<< 15.04), kde-telepathy-filetransfer-handler (<< 15.04), kde-telepathy-contact-list (<< 15.04)
L10N_Replaces := $(L10N_Replaces), $(OLD_PKGS_WITH_L10N)
L10N_Breaks := $(L10N_Breaks), $(OLD_PKGS_WITH_L10N)

L10N_PREFIX := kde-l10n
#L10N_VERSION := $(shell cat debian/changelog | head -n1 | sed 's/.*(\([[:digit:]]\+:\)\?\(.\+\)-.\+).*/\2/')
L10N_LANGS := $(filter-out debian,$(subst ./,,$(shell find . -mindepth 1 -maxdepth 1 -type d ! -name .pc ! -name .git)))
L10N_DIRS = $(L10N_LANGS)
L10N_PACKAGES := $(patsubst %,$(L10N_PREFIX)-%,$(L10N_LANGS))
L10N_EXCLUDED_SUBDIRS :=

# Support variables to be used in targets
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_dir = $(cur_lang)
cur_lang_builddir = $(cur_lang_dir)/build
cur_pkg = $(L10N_PREFIX)-$(cur_lang)

# Stamps
STAMP_BUILD := $(patsubst %,debian/stamp__%__build,$(L10N_LANGS))
L10N_INSTALL := $(patsubst %,install__%,$(L10N_LANGS))
L10N_CLEAN := $(patsubst %,clean__%,$(L10N_LANGS))

# debian/control checks
L10N_PACKAGES_IN_CONTROL := $(shell dh_listpackages | grep '$(L10N_PREFIX)')
L10N_NOTEXIST_IN_CONTROL := $(filter-out $(L10N_PACKAGES_IN_CONTROL),$(L10N_PACKAGES))
L10N_EXCESS_IN_CONTROL := $(filter-out $(L10N_PACKAGES),$(L10N_PACKAGES_IN_CONTROL))

check_control:
	@test -z "$(L10N_NOTEXIST_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control is missing language packages: $(L10N_NOTEXIST_IN_CONTROL)" && false)
	@test -z "$(L10N_EXCESS_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control has excess language packages: $(L10N_EXCESS_IN_CONTROL)" && false)

prepare_build: check_control
	dh_testdir

build: build-arch build-indep

build-arch:
	# No architecture dependent build

build-indep: $(STAMP_BUILD)

build_progress = [$(shell ls -1 -d debian/stamp__*__build debian | wc -l)/$(words $(STAMP_BUILD))]
$(STAMP_BUILD): | prepare_build
	# $(build_progress) Building '$(cur_lang)' language ...
	dh_auto_configure -Scmake -D$(cur_lang) -B$(cur_lang_builddir) -- -DCMAKE_BUILD_TYPE=Debian \
	    -DCMAKE_MODULE_PATH='$(CURDIR)/debian/cmake' \
	    -DDEBIAN_EXCLUDE_DIRS='$(L10N_EXCLUDED_SUBDIRS)'
	$(MAKE) -C $(cur_lang_builddir)
	# $(build_progress) Built '$(cur_lang)' language.
	touch $@

prepare_install:
	dh_testdir
	dh_testroot
	dh_prep

install: $(L10N_INSTALL)
	# Installed successfully

$(L10N_INSTALL): | prepare_install
	# Installing '$(cur_lang)' to the '$(cur_pkg)' package
	dh_auto_install -Scmake -D$(cur_lang) -B$(cur_lang_builddir) --destdir=$(CURDIR)/debian/$(cur_pkg)
	# The new KF5 package have their own translations now, remove files listed in excluded_files.list
	sed -e '/^$$/d;/^#/d' $(CURDIR)/debian/excluded_files.list | while read excluded_file; do \
	    find $(CURDIR)/debian/$(cur_pkg) -name $${excluded_file} -delete ; \
	done
	# Drop *_mimetypes.mo translations, since they are only helper for
	# translating XML files
	find $(CURDIR)/debian/$(cur_pkg) -name '*_mimetypes.mo' -delete
	# Drop *.appdata.mo translations, since they are only helper for
	# translating appdata files
	find $(CURDIR)/debian/$(cur_pkg) -name '*.appdata.mo' -delete

prepare_clean:
	dh_testdir

clean: $(L10N_CLEAN)
	dh_clean

# Delete build directories
$(L10N_CLEAN): prepare_clean
	rm -rf $(cur_lang_builddir) debian/stamp__$(cur_lang)__*

binary-arch:
	# No architecture dependent files available

binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installchangelogs
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- $(foreach rel,Depends Recommends Suggests Replaces Breaks Provides,-V'kde-l10n:$(rel)=$(L10N_$(rel))')
	dh_md5sums
	dh_builddeb -- -Zxz

# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build build-arch build-indep
.PHONY: clean install patch
.PHONY: check_control prepare_build prepare_install $(L10N_INSTALL) $(L10N_CLEAN)

=== debian/watch ===
version=4

# !!! WARNING !!!
# !!! Autogenerated using debian/createwatch.
# !!! Please see debian/README.source for more details.

opts="component=ar" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ar-([\d.]+).tar.xz

opts="component=ast" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ast-([\d.]+).tar.xz

opts="component=bg" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bg-([\d.]+).tar.xz

opts="component=bs" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bs-([\d.]+).tar.xz

opts="component=ca" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca-([\d.]+).tar.xz

opts="component=cavalencia" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca@valencia-([\d.]+).tar.xz

opts="component=cs" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-cs-([\d.]+).tar.xz

opts="component=da" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-da-([\d.]+).tar.xz

opts="component=de" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-de-([\d.]+).tar.xz

opts="component=el" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-el-([\d.]+).tar.xz

opts="component=engb" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-en_GB-([\d.]+).tar.xz

opts="component=eo" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eo-([\d.]+).tar.xz

opts="component=es" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-es-([\d.]+).tar.xz

opts="component=et" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-et-([\d.]+).tar.xz

opts="component=eu" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eu-([\d.]+).tar.xz

opts="component=fa" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fa-([\d.]+).tar.xz

opts="component=fi" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fi-([\d.]+).tar.xz

opts="component=fr" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fr-([\d.]+).tar.xz

opts="component=ga" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ga-([\d.]+).tar.xz

opts="component=gl" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-gl-([\d.]+).tar.xz

opts="component=he" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-he-([\d.]+).tar.xz

opts="component=hi" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hi-([\d.]+).tar.xz

opts="component=hr" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hr-([\d.]+).tar.xz

opts="component=hu" \
